package com.liang.service.impl;

import com.liang.dao.CyyDao;
import com.liang.entity.CyyEntriy;
import com.liang.service.CyyService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import java.util.List;


@Service("CyyService")
public class CyyServiceImpl implements CyyService {
    @Autowired
    private CyyDao cyyDao;

    /**
     * 通过id查
     *
     * @param id 主键
     * @return
     */
    @Override
    public CyyEntriy queryById(Integer id) {
        return cyyDao.queryById(id);
    }

    /**
     * 通过ACCOUNT查
     *
     * @param account
     * @return
     */
    @Override
    public List<CyyEntriy> queryByAccount(String account) {
        return cyyDao.queryByAccount(account);
    }

    /**
     * 分页查询
     *
     * @param cyyEntriy 筛选条件
     * @return
     */
    @Override
    public List<CyyEntriy> queryByPage(CyyEntriy cyyEntriy) {
        return this.cyyDao.getAll(cyyEntriy);
    }

    /**
     * 新增数据
     *
     * @param cyyEntriy 实例对象
     * @return
     */
    @Override
    public CyyEntriy insert(CyyEntriy cyyEntriy) {
        this.cyyDao.insert(cyyEntriy);
        return cyyEntriy;
    }

    /**
     * 修改数据
     *
     * @param cyyEntriy 实例对象
     * @return
     */
    @Override
    public CyyEntriy update(CyyEntriy cyyEntriy) {
        this.cyyDao.update(cyyEntriy);
        return this.cyyDao.queryById(cyyEntriy.getId());
    }

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return
     */
    @Override
    public boolean deleteById(Integer id) {
        return this.cyyDao.deleteById(id) > 0;
    }
}